{% if user.adminLimitations is defined and user.adminLimitations is not empty %}

    {#
    ### REQUIRED:
    ###     'enableParameter'
    ###     'disableParameter'
    #}

    <div class="card mb-3">
        <div class="card-header text-white bg-primary">
            <i class="fas fa-table"></i>
            <b>{{ user.username|e }}</b> User Limitations
        </div>
        <div class="card-body">

            <table class="table table-bordered table-striped table-hover table-sm">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Role</th>
                    <th scope="col">Area</th>
                    <th scope="col">Privileges</th>
                    <th scope="col">Status</th>
                </tr>
                </thead>
                <tbody>
                {% for adminLimitation in user.adminLimitations %}
                    <tr>
                        <th scope="row">
                            <a href="{{ url('super_admin_edit_limitation', {'user_id':user.id, 'id':adminLimitation.id}) }}">{{ adminLimitation.id }}</a>
                        </th>
                        <td>{{ adminLimitation.roleType|trans }}</td>
                        <td>{{ adminLimitation.area|trans }}</td>
                        <td>
                            {% for privilege in adminLimitation.privileges %}
                                <span class="badge badge-info">{{ privilege|trans }}</span>
                            {% else %}
                                <p class="font-italic">Empty</p>
                            {% endfor %}
                        </td>
                        <td class="{{ adminLimitation.isDisabled ? 'bg-danger' }}">
                            {% if adminLimitation.isDisabled %}
                                Disabled
                                {% set enablingUrl = url('super_admin_limitation_enabling', {'enabling':enableParameter,'id':adminLimitation.id}) %}
                            {% else %}
                                Active
                                {% set enablingUrl = url('super_admin_limitation_enabling', {'enabling':disableParameter,'id':adminLimitation.id}) %}
                            {% endif %}

                            <a href="{{ enablingUrl }}" role="button" class="btn btn-secondary btn-sm float-right"><i class="fas fa-sync"></i></a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="5">
                            <p class="text-center">No Limitations</p>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

        </div>
    </div>
{% endif %}